Package com.avaya.clientservices.call.feature

## Class FeatureInvocation

- java.lang.Object
- - com.avaya.clientservices.call.feature.FeatureInvocation

-     public class FeatureInvocation
      extends java.lang.Object

  Class to map a feature invocation response to a request.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FeatureInvocation​(FeatureType feature)` | Constructs FeatureInvocation object for a feature.
    `FeatureInvocation​(FeatureType feature, java.lang.String ownerExtension)` | Constructs FeatureInvocation object from specified parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `FeatureType` | `getFeature()` | Returns the type of feature invoked.
    `java.lang.String` | `getOwnerExtension()` | Returns the owner extension associated with this feature.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureInvocation

          public FeatureInvocation​(FeatureType feature)

      Constructs FeatureInvocation object for a feature.
      Parameters:
        `feature` - The feature type to be invoked.

    - #### FeatureInvocation

          public FeatureInvocation​(FeatureType feature,
                                   java.lang.String ownerExtension)

      Constructs FeatureInvocation object from specified parameters.
      Parameters:
        `feature` - The feature type to be invoked.
        `ownerExtension` - The owner extension associated with the feature.

  - ### Method Detail

    - #### getFeature

          public FeatureType getFeature()

      Returns the type of feature invoked.
      Returns:
        the type of feature invoked.

    - #### getOwnerExtension

          public java.lang.String getOwnerExtension()

      Returns the owner extension associated with this feature. When this parameter is empty, the feature is associated with the local user.
      Returns:
        The owner extension associated with this feature.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`